<?php

namespace DropshippingXmlFreeVendor;

/**
 * @var \WPDesk\Forms\Field $field
 * @var \WPDesk\View\Renderer\Renderer $renderer
 * @var string $name_prefix
 * @var string $value
 *
 * @var string $template_name Real field template.
 */
?>

<tr valign="top">
	<?php
	if ( $field->has_label() ) {
		$renderer->output_render( 'form-label', [ 'field' => $field ] );
	}
	?>

	<td class="forminp">
		<?php
		$renderer->output_render(
			$template_name,
			[
				'field'       => $field,
				'renderer'    => $renderer,
				'name_prefix' => $name_prefix,
				'value'       => $value,
			]
		);
		?>

		<?php
		if ( $field->has_description() ) {
			?>
			<p class="description">
			<?php
			echo \wp_kses_post( $field->get_description() );
			?>
	</p>
				<?php
		}
		?>
	<span class="description">
			<?php
			echo \wp_kses_post( __( '<a href="https://wpde.sk/dropshipping-conditions" target="_blank">Read about this feature →</a>', 'dropshipping-xml-for-woocommerce' ) );
			?>
	</span>

	<div class="buy-pro-version"><a target="_blank" href="<?php echo esc_url( __( 'https://www.wpdesk.net/products/dropshipping-xml-woocommerce/?utm_source=wp-admin-plugins&utm_medium=link&utm_campaign=dropshipping', 'dropshipping-xml-for-woocommerce' ) ); ?>"><?php echo esc_html( __( 'Purchase PRO version to fully unlock this feature', 'dropshipping-xml-for-woocommerce' ) ); ?>  &rarr;</a></div>	
	</td>
</tr>
<?php
