<?php

namespace DropshippingXmlFreeVendor\WPDesk\Library\DropshippingXmlCore\Action\Installer;

use DropshippingXmlFreeVendor\WPDesk\Library\DropshippingXmlCore\Infrastructure\Service\Listener\Items\Hookable\Hookable;
use DropshippingXmlFreeVendor\WPDesk\Library\DropshippingXmlCore\Infrastructure\Config\Config;
/**
 * Class PluginInstallerAction, activates when plugin is installed or uninstalled.
 */
class PluginInstallerAction implements \DropshippingXmlFreeVendor\WPDesk\Library\DropshippingXmlCore\Infrastructure\Service\Listener\Items\Hookable\Hookable
{
    /**
     * @var Config
     */
    private $config;
    public function __construct(\DropshippingXmlFreeVendor\WPDesk\Library\DropshippingXmlCore\Infrastructure\Config\Config $config)
    {
        $this->config = $config;
    }
    public function hooks()
    {
        \register_activation_hook($this->config->get_param('plugin.file')->get(), array($this, 'on_activation'));
        \register_deactivation_hook($this->config->get_param('plugin.file')->get(), array($this, 'on_deactivation'));
    }
    public function on_activation()
    {
        \error_log('on_activation');
    }
    public function on_deactivation()
    {
        \error_log('on_deactivation');
    }
}
